Get Coupon
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/coupons/{couponId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/coupons/{couponId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/coupons/{couponId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"code": "SAVE10",
"salt": "53335715ad50c",
"global": true,
"discount": "10.00",
"uses": 0,
"max_uses": null,
"max_uses_per_customer": null,
"min_invoice_price": null,
"allowed_emails": null,
"payment_method_ids": null,
"disable_if_volume_discount": false,
"disable_if_bundle_offer": false,
"disable_if_quantity_deal": false,
"disable_if_gateway_discount": false,
"disable_if_affiliate_discount": false,
"uses_count_mode": "pending",
"type": "percentage",
"start_date": null,
"expiration_date": null,
"shop_id": 1,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"applies_to_renewals": false,
"items": []
}Coupons
Get Coupon
Retrieves a specific coupon.
GET
/
v1
/
shops
/
{shopId}
/
coupons
/
{couponId}
Get Coupon
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json
Example:
1
Example:
"SAVE10"
Example:
"53335715ad50c"
Example:
true
Example:
"10.00"
Example:
0
Example:
null
Example:
null
Example:
null
Example:
null
Example:
null
Example:
false
Example:
false
Example:
false
Example:
false
Example:
false
Example:
"pending"
Example:
"percentage"
Example:
null
Example:
null
Example:
1
Example:
"2026-09-20T15:56:24.000000Z"
Example:
"2026-09-20T15:56:24.000000Z"
Example:
false
Example:
[]